For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all documents in a table.
      • POSTCreate a document in a table.
      • POSTUpdate multiple documents in a table.
      • GETGet a document by ID.
      • PUTUpdate a document by ID.
      • DELDelete a document by ID.
      • POSTDelete multiple document by ID.
LogoLogo
Scout DocsAccess Scout
EndpointsDocuments

Delete a document by ID.

Beta
DELETE
https://api.scoutos.com/v2/collections/:collection_id/tables/:table_id/documents/:document_id
DELETE
/v2/collections/:collection_id/tables/:table_id/documents/:document_id
$curl -X DELETE https://api.scoutos.com/v2/collections/collection_id/tables/table_id/documents/document_id \
> -H "Authorization: Bearer <token>"
1{
2 "detail": "Document with ID 'a1b2c3d4e5' successfully deleted from table 'users' in collection 'customer_data'.",
3 "status_code": 204
4}
Was this page helpful?
Previous

Delete multiple document by ID.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired
table_idstringRequired
document_idstringRequired

Response

Successful Response
detailstring
status_codeinteger

Errors

422
Unprocessable Entity Error